package rozwiazania_zadan.r3.ogloszenia;

import java.time.LocalDate;
import java.time.format.TextStyle;
import java.util.List;
import java.util.Locale;

public class SzkolenieProgram {

	public static void main(String[] args) {
		Szkolenie kursJavy = new Szkolenie("Java XL", 80, 4500,
					List.of(LocalDate.of(2023, 3, 7), LocalDate.of(2023, 3, 8), LocalDate.of(2023, 3, 9)));

		System.out.println(kursJavy);
		Locale locale = new Locale("pl", "PL");
		
		for (LocalDate date : kursJavy.getDniSzkoleniowe()) {
			//System.out.println(date + " to dzień tygodnia " + date.getDayOfWeek());
			System.out.println(date + " to dzień tygodnia " + date.getDayOfWeek().getDisplayName(TextStyle.FULL, locale));
		}
	}

}
